package com.ffii.core.exception;

import org.springframework.http.HttpStatus;
import org.springframework.web.server.ResponseStatusException;

/* sub record not found (e.g. item_line record) */
public class UnprocessableEntityException extends ResponseStatusException {

  public UnprocessableEntityException() {
    super(HttpStatus.UNPROCESSABLE_ENTITY);
  }

  public UnprocessableEntityException(String reason) {
    super(HttpStatus.UNPROCESSABLE_ENTITY, reason);
  }

}
